## org.eclipse.jst.jsf.taglibprocessing.attributevalues
Class IdentifierType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.attributevalues.BindingType
                  org.eclipse.jst.jsf.taglibprocessing.attributevalues.DirectBindingType
                      org.eclipse.jst.jsf.taglibprocessing.attributevalues.IdentifierType

All Implemented Interfaces:
  IMetaDataEnabledFeature, ITypeDescriptor

Direct Known Subclasses:
  FacesConfigIdentifierType

    public abstract class IdentifierType

extends DirectBindingType

Abstract meta-data processing type representing an identifier binding type

Provisional API - subject to change

Constructor Summary
`IdentifierType()`

Method Summary

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
`getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentifierType

    public IdentifierType()